/*! firebase-admin v4.0.0
    https://developers.google.com/terms */
/**
 * Validates that a string is alpha numeric.
 *
 * @param {any} alphanumeric The string to validate.
 * @return {boolean} Whether the string is alpha-numeric or not.
 */
export declare function isAlphanumeric(alphanumeric: any): boolean;
/**
 * Validates that a string is a valid Firebase Auth uid.
 *
 * @param {any} uid The string to validate.
 * @return {boolean} Whether the string is a valid Firebase Auth uid.
 */
export declare function isUid(uid: any): boolean;
/**
 * Validates that a string is a valid Firebase Auth password.
 *
 * @param {any} password The password string to validate.
 * @return {boolean} Whether the string is a valid Firebase Auth password.
 */
export declare function isPassword(password: any): boolean;
/**
 * Validates that a string is a valid email.
 *
 * @param {any} email The string to validate.
 * @return {boolean} Whether the string is valid email or not.
 */
export declare function isEmail(email: any): boolean;
/**
 * Validates that a string is a valid web URL.
 *
 * @param {any} urlStr The string to validate.
 * @return {boolean} Whether the string is valid web URL or not.
 */
export declare function isURL(urlStr: any): boolean;
